//
//  __FoundFilesProxy.h
//  OnFlAppFoundation
//
//  Created by Ondrej Florian on 02/11/2012.
//
//

#import <Foundation/Foundation.h>

@interface MYFileSearch : NSObject {
	NSMetadataQuery* metadataSearch;
	NSArray* scope;
	id delegate;
}

+ (MYFileSearch*) fileSearchWithQuery:(NSString*)query delegate:(id) del;
+ (MYFileSearch*) fileSearchWithQuery:(NSString*)query inScope:(NSArray*) scope delegate:(id) del;

- (id) initWithQuery:(NSString*)query inScope:(NSArray*)scope delegate:(id)del;

- (void) doQuery:(NSString*) query inScope:(NSArray*)searchScope;
- (void) queryDidUpdate:sender;
- (void) initalGatherComplete:sender;

@end
